summaryrefslogtreecommitdiffstats
path: root/mail/imap-uw/pkg-req.ssl
diff options
context:
space:
mode:
authorbapt <bapt@FreeBSD.org>2016-11-01 20:00:14 +0000
committerbapt <bapt@FreeBSD.org>2016-11-01 20:00:14 +0000
commitf98c8bb5c97e62f1e4ae6bd6efd27b70221e614d (patch)
treead261d7b066d540bff326bd1cd764012bf5b1b38 /mail/imap-uw/pkg-req.ssl
parenta839ae820025f90bac50196962d4684a79e3948d (diff)
downloadFreeBSD-ports-f98c8bb5c97e62f1e4ae6bd6efd27b70221e614d.zip
FreeBSD-ports-f98c8bb5c97e62f1e4ae6bd6efd27b70221e614d.tar.gz
Revert 425074 it is still too early for that :(
Diffstat (limited to 'mail/imap-uw/pkg-req.ssl')
-rw-r--r--mail/imap-uw/pkg-req.ssl27
1 files changed, 27 insertions, 0 deletions
diff --git a/mail/imap-uw/pkg-req.ssl b/mail/imap-uw/pkg-req.ssl
new file mode 100644
index 0000000..881c5ef
--- /dev/null
+++ b/mail/imap-uw/pkg-req.ssl
@@ -0,0 +1,27 @@
+#! /bin/sh
+# anders@fix.no, 2001-06-19
+
+sslenabled=`grep "^#define CCLIENT_SSLENABLED" $1 | awk '{print $3}' \
+| sed s/\"//g`
+
+case $2 in
+yes)
+ if [ "$sslenabled" = "yes" ]
+ then
+ echo "SSL check passed. We want SSL support, and cclient has it. Good."
+ exit 0
+ else
+ echo "SSL check failed. We want SSL support, but cclient doesn't have it."
+ echo "Please recompile and reinstall the cclient port with WITH_SSL=yes set."
+ exit 1
+ fi
+ ;;
+*)
+ if [ "$sslenabled" = "yes" ]
+ then
+ echo "You did not want SSL (by not defining WITH_SSL). Funny thing is, your cclient"
+ echo "port has SSL support installed."
+ exit 0
+ fi
+ ;;
+esac
OpenPOWER on IntegriCloud